Skip to main content
GET
/
customers
/
{id}
/
conversations
List customer conversations
curl --request GET \
  --url https://api.weav.com/v1/customers/{id}/conversations \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "channel": "email",
      "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "subject": "<string>",
      "status": "open",
      "priority": "low",
      "assignee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "assignee_type": "user",
      "closed_at": "2023-11-07T05:31:56Z",
      "first_response_at": "2023-11-07T05:31:56Z",
      "last_message_at": "2023-11-07T05:31:56Z",
      "is_spam": true,
      "spam_score": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Workspace API token. Include abilities external-api:read and/or external-api:write.

Path Parameters

id
string<uuid>
required

Query Parameters

per_page
integer
default:15
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

Paginated conversations

data
object[]
meta
object